libzypp: zypp::misc::testcase::TestcaseSetup Class Reference

libzypp 17.38.14

zypp::misc::testcase::TestcaseSetup Class Reference

`#include <zypp/misc/TestcaseSetup.h>`

## Public Member Functions
| TestcaseSetup ()
| ~TestcaseSetup ()
Arch | architecture () const
const std::optional< RepoData > & | systemRepo () const
const std::vector< RepoData > & | repos () const
ResolverFocus | resolverFocus () const
const Pathname & | globalPath () const
const Pathname & | hardwareInfoFile () const
const Pathname & | systemCheck () const
const target::Modalias::ModaliasList & | modaliasList () const
const base::SetTracker< LocaleSet > & | localesTracker () const
const std::vector< std::vector< std::string > > & | vendorLists () const
const sat::StringQueue & | autoinstalled () const
const std::set< std::string > & | multiversionSpec () const
const std::vector< ForceInstall > & | forceInstallTasks () const
bool | set_licence () const
bool | show_mediaid () const
bool | ignorealreadyrecommended () const
bool | onlyRequires () const
bool | forceResolve () const
bool | cleandepsOnRemove () const
bool | noUpdateProvide () const
bool | allowDowngrade () const
bool | allowNameChange () const
bool | allowArchChange () const
bool | allowVendorChange () const
bool | dupAllowDowngrade () const
bool | dupAllowNameChange () const
bool | dupAllowArchChange () const
bool | dupAllowVendorChange () const
bool | applySetup (zypp::RepoManager &manager) const
TestcaseSetupImpl & | data ()
const TestcaseSetupImpl & | data () const

## Static Public Member Functions
static bool | loadRepo (zypp::RepoManager &manager, const TestcaseSetup &setup, const RepoData &data)

## Private Attributes
RWCOW_pointer< TestcaseSetupImpl > | _pimpl

## Detailed Description

Definition at line 78 of file TestcaseSetup.h.

## Constructor & Destructor Documentation

## ◆ TestcaseSetup()

zypp::misc::testcase::TestcaseSetup::TestcaseSetup | ( |  | ) |

Definition at line 56 of file TestcaseSetup.cc.

## ◆ ~TestcaseSetup()

zypp::misc::testcase::TestcaseSetup::~TestcaseSetup | ( |  | ) |

Definition at line 59 of file TestcaseSetup.cc.

## Member Function Documentation

## ◆ architecture()

Arch zypp::misc::testcase::TestcaseSetup::architecture | ( |  | ) | const

Definition at line 62 of file TestcaseSetup.cc.

## ◆ systemRepo()

const std::optional< RepoData > & zypp::misc::testcase::TestcaseSetup::systemRepo | ( |  | ) | const

Definition at line 65 of file TestcaseSetup.cc.

## ◆ repos()

const std::vector< RepoData > & zypp::misc::testcase::TestcaseSetup::repos | ( |  | ) | const

Definition at line 68 of file TestcaseSetup.cc.

## ◆ resolverFocus()

ResolverFocus zypp::misc::testcase::TestcaseSetup::resolverFocus | ( |  | ) | const

Definition at line 71 of file TestcaseSetup.cc.

## ◆ globalPath()

const zypp::filesystem::Pathname & zypp::misc::testcase::TestcaseSetup::globalPath | ( |  | ) | const

Definition at line 74 of file TestcaseSetup.cc.

## ◆ hardwareInfoFile()

const zypp::filesystem::Pathname & zypp::misc::testcase::TestcaseSetup::hardwareInfoFile | ( |  | ) | const

Definition at line 77 of file TestcaseSetup.cc.

## ◆ systemCheck()

const zypp::filesystem::Pathname & zypp::misc::testcase::TestcaseSetup::systemCheck | ( |  | ) | const

Definition at line 80 of file TestcaseSetup.cc.

## ◆ modaliasList()

const target::Modalias::ModaliasList & zypp::misc::testcase::TestcaseSetup::modaliasList | ( |  | ) | const

Definition at line 83 of file TestcaseSetup.cc.

## ◆ localesTracker()

const base::SetTracker< LocaleSet > & zypp::misc::testcase::TestcaseSetup::localesTracker | ( |  | ) | const

Definition at line 86 of file TestcaseSetup.cc.

## ◆ vendorLists()

const std::vector< std::vector< std::string > > & zypp::misc::testcase::TestcaseSetup::vendorLists | ( |  | ) | const

Definition at line 89 of file TestcaseSetup.cc.

## ◆ autoinstalled()

const sat::StringQueue & zypp::misc::testcase::TestcaseSetup::autoinstalled | ( |  | ) | const

Definition at line 92 of file TestcaseSetup.cc.

## ◆ multiversionSpec()

const std::set< std::string > & zypp::misc::testcase::TestcaseSetup::multiversionSpec | ( |  | ) | const

Definition at line 95 of file TestcaseSetup.cc.

## ◆ forceInstallTasks()

const std::vector< ForceInstall > & zypp::misc::testcase::TestcaseSetup::forceInstallTasks | ( |  | ) | const

Definition at line 98 of file TestcaseSetup.cc.

## ◆ set_licence()

bool zypp::misc::testcase::TestcaseSetup::set_licence | ( |  | ) | const

Definition at line 101 of file TestcaseSetup.cc.

## ◆ show_mediaid()

bool zypp::misc::testcase::TestcaseSetup::show_mediaid | ( |  | ) | const

Definition at line 104 of file TestcaseSetup.cc.

## ◆ ignorealreadyrecommended()

bool zypp::misc::testcase::TestcaseSetup::ignorealreadyrecommended | ( |  | ) | const

Definition at line 107 of file TestcaseSetup.cc.

## ◆ onlyRequires()

bool zypp::misc::testcase::TestcaseSetup::onlyRequires | ( |  | ) | const

Definition at line 110 of file TestcaseSetup.cc.

## ◆ forceResolve()

bool zypp::misc::testcase::TestcaseSetup::forceResolve | ( |  | ) | const

Definition at line 113 of file TestcaseSetup.cc.

## ◆ cleandepsOnRemove()

bool zypp::misc::testcase::TestcaseSetup::cleandepsOnRemove | ( |  | ) | const

Definition at line 116 of file TestcaseSetup.cc.

## ◆ noUpdateProvide()

bool zypp::misc::testcase::TestcaseSetup::noUpdateProvide | ( |  | ) | const

Definition at line 119 of file TestcaseSetup.cc.

## ◆ allowDowngrade()

bool zypp::misc::testcase::TestcaseSetup::allowDowngrade | ( |  | ) | const

Definition at line 122 of file TestcaseSetup.cc.

## ◆ allowNameChange()

bool zypp::misc::testcase::TestcaseSetup::allowNameChange | ( |  | ) | const

Definition at line 125 of file TestcaseSetup.cc.

## ◆ allowArchChange()

bool zypp::misc::testcase::TestcaseSetup::allowArchChange | ( |  | ) | const

Definition at line 128 of file TestcaseSetup.cc.

## ◆ allowVendorChange()

bool zypp::misc::testcase::TestcaseSetup::allowVendorChange | ( |  | ) | const

Definition at line 131 of file TestcaseSetup.cc.

## ◆ dupAllowDowngrade()

bool zypp::misc::testcase::TestcaseSetup::dupAllowDowngrade | ( |  | ) | const

Definition at line 134 of file TestcaseSetup.cc.

## ◆ dupAllowNameChange()

bool zypp::misc::testcase::TestcaseSetup::dupAllowNameChange | ( |  | ) | const

Definition at line 137 of file TestcaseSetup.cc.

## ◆ dupAllowArchChange()

bool zypp::misc::testcase::TestcaseSetup::dupAllowArchChange | ( |  | ) | const

Definition at line 140 of file TestcaseSetup.cc.

## ◆ dupAllowVendorChange()

bool zypp::misc::testcase::TestcaseSetup::dupAllowVendorChange | ( |  | ) | const

Definition at line 143 of file TestcaseSetup.cc.

## ◆ applySetup()

bool zypp::misc::testcase::TestcaseSetup::applySetup | ( | zypp::RepoManager & | manager | ) | const

Definition at line 146 of file TestcaseSetup.cc.

## ◆ loadRepo()

bool zypp::misc::testcase::TestcaseSetup::loadRepo | ( | zypp::RepoManager & | manager,
|  | const TestcaseSetup & | setup,
|  | const RepoData & | data )
| static

Definition at line 185 of file TestcaseSetup.cc.

## ◆ data() [1/2]

TestcaseSetupImpl & zypp::misc::testcase::TestcaseSetup::data | ( |  | ) |

Definition at line 253 of file TestcaseSetup.cc.

## ◆ data() [2/2]

const TestcaseSetupImpl & zypp::misc::testcase::TestcaseSetup::data | ( |  | ) | const

Definition at line 258 of file TestcaseSetup.cc.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<TestcaseSetupImpl> zypp::misc::testcase::TestcaseSetup::_pimpl
| private

Definition at line 131 of file TestcaseSetup.h.

The documentation for this class was generated from the following files:

- zypp/misc/TestcaseSetup.h
- zypp/misc/TestcaseSetup.cc